> For the complete documentation index, see [llms.txt](https://docs.qentaz.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qentaz.com/documentation/cuentas-administradas/actualizar-cuenta-administrada.md).

# Actualizar cuenta administrada

Este endpoint permite actualizar la información de perfil, configuraciones de marca (branding), URLs de webhooks y comisiones de SaaS (`fees`) de un negocio hijo/cuenta administrada existente. El endpoint requiere especificar el identificador único del negocio en la ruta y validar que exista una relación comercial (padre-hijo).

## Ruta

<mark style="color:green;">`PATCH`</mark> `/v1/business/child/:business_id`

## **Encabezado**

| Name                                                   | Value            |
| ------------------------------------------------------ | ---------------- |
| `Content-Type`*<mark style="color:red;">**\***</mark>* | application/json |
| `x-auth-token`*<mark style="color:red;">**\***</mark>* | {token}          |

## **Parámetros de ruta**&#x20;

| Name                                                  | Value                                                                                                     |
| ----------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| `business_id`*<mark style="color:red;">**\***</mark>* | <p><br>El <code>business\_id</code> de la cuenta administrada (negocio hijo) que se desea actualizar.</p> |

## **Cuerpo**&#x20;

### **Datos del Negocio**

<table><thead><tr><th width="249">Name</th><th width="126">Type<select><option value="GnWreahNlF6F" label="numeric" color="blue"></option><option value="sFwIPm2Dqll0" label="string" color="blue"></option><option value="l8UgNW8hbMuc" label="date" color="blue"></option><option value="VIiuN2CCxiaY" label="boolean" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td><code>business_phone</code></td><td><span data-option="sFwIPm2Dqll0">string</span></td><td>Número de celular del negocio.<br><br><em><mark style="color:blue;"><code>Ejemplo: 573112229999</code></mark></em></td></tr><tr><td><code>business_email</code></td><td><span data-option="sFwIPm2Dqll0">string</span></td><td>Correo electrónico de contacto comercial del sub-negocio.<br><br><em><mark style="color:blue;"><code>Ejemplo: alguien@ejemplo.com</code></mark></em></td></tr><tr><td><code>business_webhook</code></td><td><span data-option="sFwIPm2Dqll0">string</span></td><td>URL del webhook donde el sub-negocio recibirá los eventos de notificación.<br><br><em><mark style="color:blue;"><code>Ejemplo:https://minegocio.com/mi-aplicacion</code></mark></em></td></tr></tbody></table>

### Apariencia y Ubicación

Campos adicionales que permiten que el hijo tenga su propio estilo y ubicación geográfica separada del padre:

<table><thead><tr><th width="249">Name</th><th width="113">Type<select><option value="rRB3kMFO5APd" label="string" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:orange;"><code>logo</code></mark></td><td><span data-option="rRB3kMFO5APd">string</span></td><td>URL (URI válida) con la imagen del logo del sub-negocio.</td></tr><tr><td><mark style="color:orange;"><code>main_color_brand</code></mark> </td><td><span data-option="rRB3kMFO5APd">string</span></td><td>Código HEX del color principal de la marca <em><mark style="color:blue;"><code>Ejemplo #FF0000</code></mark></em></td></tr><tr><td><mark style="color:orange;"><code>secondary_color_brand</code></mark> </td><td><span data-option="rRB3kMFO5APd">string</span></td><td>Código HEX del color secundario de la marca.<br><em><mark style="color:blue;"><code>Ejemplo #FF0000</code></mark></em></td></tr></tbody></table>

### **Configuración Financiera**

<table><thead><tr><th width="249">Name</th><th width="113">Type<select><option value="CRQXJNwgXiB2" label="string" color="blue"></option><option value="DSyQfsQTOGwM" label="number" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>fee_variable_saas</code></mark> </td><td><span data-option="DSyQfsQTOGwM">number</span></td><td>Tarifa (fee) variable aplicada bajo el modelo SaaS para este sub-negocio específico. Se espera un número entre <code>0</code> y <code>1</code>(por defecto es <code>0</code><br><br><em><mark style="color:blue;"><code>Ejemplo: 0.1</code></mark></em></td></tr><tr><td><mark style="color:blue;"><code>fee_fixed_saas</code></mark> </td><td><span data-option="DSyQfsQTOGwM">number</span></td><td>Tarifa (fee) fija aplicada bajo el modelo SaaS para este sub-negocio específico.<br><br><em><mark style="color:blue;"><code>Ejemplo: 2000</code></mark></em></td></tr></tbody></table>

## **Respuesta**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Child Business actualizado exitosamente ✅",
    "business_id": "pruebachild",
    "updated_fields": {
        "business": [
            "business_phone",
            "business_email",
            "business_webhook",
            "logo",
            "main_color_brand",
            "secondary_color_brand",
            "fee_variable_saas",
            "fee_fixed_saas"
        ]
    },
    "updated_at": "2026-05-20T17:27:10-05:00"
}

```

{% endtab %}

{% tab title="400" %}

```json
{
    "error": [
        "\"logo\" must be a url"
    ]
}
```

{% endtab %}

{% tab title="401" %}

```bash
{
    "status": "unauthorized",
    "code": "Q103",
    "error": "El x-auth-token se encuentra vencido. Por favor genera un nuevo token y reintenta de nuevo el cobro."
}
```

{% endtab %}
{% endtabs %}

***

## Ejemplo

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request PATCH '{{base_url}}/v1/business/child/pruebachild' \
--header 'x-auth-token: token' \
--header 'Content-Type: application/json' \
--data-raw '{
  "business_phone": "573111112222",
  "business_webhook": "https://trazo.co/webhook",
  "business_email": "pagos@tiendamaria.co",
  "logo": "https://tiendamaria.co/logo.png",
  "main_color_brand": "#FFC0CB",
  "secondary_color_brand": "#FAEBEE",
  "fee_variable_saas": 0.05,
  "fee_fixed_saas": 1000
}'
```

{% endtab %}

{% tab title="NodeJS (Axios)" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
   "business_phone": "573111112222",
   "business_webhook": "https://trazo.co/webhook",
   "business_email": "pagos@tiendamaria.co",
   "logo": "https://tiendamaria.co/logo.png",
   "main_color_brand": "#FFC0CB",
   "secondary_color_brand": "#FAEBEE",
   "fee_variable_saas": 0.05,
   "fee_fixed_saas": 1000
});

var config = {
   method: 'patch',
   url: `${base_url}/v1/business/child/pruebachild`,
   headers: { 
      'x-auth-token': token, 
      'Content-Type': 'application/json'
   },
   data : data
};

axios(config)
.then(function (response) {
   console.log(JSON.stringify(response.data));
})
.catch(function (error) {
   console.log(error);
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = f"{base_url}/v1/business/child/pruebachild"

payload = json.dumps({
   "business_phone": "573111112222",
   "business_webhook": "https://trazo.co/webhook",
   "business_email": "pagos@tiendamaria.co",
   "logo": "https://tiendamaria.co/logo.png",
   "main_color_brand": "#FFC0CB",
   "secondary_color_brand": "#FAEBEE",
   "fee_variable_saas": 0.05,
   "fee_fixed_saas": 1000
})
headers = {
   'x-auth-token': token,
   'Content-Type': 'application/json'
}

response = requests.request("PATCH", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qentaz.com/documentation/cuentas-administradas/actualizar-cuenta-administrada.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
